#include <stdio.h>
#include <stdlib.h>
int main()
{int N=0,M=200001;
    while(N<1)
    scanf("%d",&N);
    while(M>200000)
    scanf("%d",&M);
    int vage[2][N];
    for(int i=0;i<N;i++)
    {scanf("%d%d",&vage[1][i],&vage[2][i]);
    }
    int pitanja[3][M],br=0;
    for(int i=0;i<M;i++)
    {scanf("%d%d%d",&pitanja[1][i],&pitanja[2][i],&pitanja[3][i]);}

    for(int i=0;i<M;i++)
    {for(int j=pitanja[1][i]-1;j<pitanja[2][i];j++)
    {if(vage[1][j]<=pitanja[3][i] && vage[2][j]>=pitanja[3][i])
        br++;
        printf("%d %d %d\n",br,i,j);}
    printf("%d\n",br);
    br=0;
    }
    return 0;
}